Browser Requirements

Please use the most current version of your browser

In order for AORN to provide a safe, attractive web space, we recommend members and website visitors use a current web browser. Below are the browser versions supported by AORN's web pages and web-based applications. Browser versions older than those listed below have known vulnerabilities that are susceptible to harmful attacks and, in many cases, support for the browser has been discontinued by the developer.

To protect our customers and to keep up with the strict standards mandated by the Payment Card Industry, AORN will stop allowing connections from unsupported browsers on June 1, 2016.

To visit the download page for any of the updated browsers below, simply click one of the "Download" buttons.

Download an updated browser

Google Chrome
Chrome
Version 40 or newer
Mozilla Firefox
Firefox
Version 40 or newer
Internet Explorer
Internet Explorer
Version 11
Microsoft Edge
Microsoft Edge
Safari
Safari
Version 7 or newer

Go back -- Upgrade later